Software Archive
Read-only legacy content
17061 Discussions

activation_init: FLEX API Error -7051

Gary_Lowell
Beginner
281 Views
Hi -

I'm trying to install the 12.0.5 compilers on a system that already has the 12.0.4 version installed. The license is a floating license served from a seperate flexlm license server. On several systems the installation has gone releatively smoothly. On this last one I get the following error from the installer:

--------------------------------------------------------------------------------
Initializing, please wait...
--------------------------------------------------------------------------------
Something wrong with activation module. Please go to
http://www.intel.com/software/products/support/ for your support options.
--------------------------------------------------------------------------------

The installation log created in /tmp contains:


1322786414 - : activation_init: start
1322786414 - : activation_init: ISSA API init successful
1322786414 - : activation_init: FLEX API Error -7051
1322786414 - : activation_init: log_file was: /tmp/intel.pset.root.hopms_12.01.16.40.09.2011.log
1322786414 - : activation_init: log_file now is: /tmp/intel.issa.root.hopms_12.01.16.40.09.2011.log
1322786414 - : activation_init: logging init successful
1322786414 - : activation_init: finish
1322786414 - : sequence_exec_plugin_c_action: exit code "0"
1322786414 - : cond_is_true: condition is 'NOT ACTIVATION_INIT_DONE'
1322786414 - : cond_is_true: negative expression
1322786414 - : left operand is ACTIVATION_INIT_DONE
1322786414 - : cond_is_true: result is 0
1322786414 - : cond_is_true: condition is '${ACTIVATION_INIT_DONE} = no'
1322786414 - : left operand is ${ACTIVATION_INIT_DONE}
1322786414 - : operation is =
1322786414 - : execute: l='no' -> o='=' -> r='no'
1322786414 - : cond_is_true: result is 1
1322786414 - : sequence_execute_document: next dialog is activation_error_action
1322786414 - : sequence_execute_document: call "activation_error" dialog
1322786414 - : sequence_exec_dialog: show "activation_error" dialog

I'm guessing that a library is missing, or some previously installed key is correupted, or something like that. I've tried uninstalling 12.0.4, but the error persists. The installed rpms are the same as the working systems. Has anyone seen this before ?


Thanks,
Gary
0 Kudos
1 Reply
Yuan_C_Intel
Employee
281 Views
Hi, Gary

I have received your issue.

Could you let me know your operating system with the error?

Wasyour older version 12.0.4 installed with the same license?

Thank you
Yolanda
0 Kudos
Reply